open Printf

let print_bytes b ?(width=8) =
  let l = Bytes.length b in
  let rec print_line b start last =
    if start < last then
      let max = min (start + width - 1) last in
      for i = start to max do
        printf "%02X " (Bytes.get b i |> int_of_char)
      done;
      print_newline ();
      print_line b (start + width) last
  in
  print_line b 0 l
